from transformers import Trainer


# Debugging: Print the evaluation metrics after training
def print_evaluation_metrics(trainer: Trainer):
    eval_result = trainer.evaluate()
    print("Evaluation Metrics:", eval_result)


def print_trainable_parameters(model):
    """
    Prints the number of trainable parameters in the model.
    """
    trainable_params = 0
    all_param = 0
    for _, param in model.named_parameters():
        all_param += param.numel()
        if param.requires_grad:
            trainable_params += param.numel()
    print(
        f"trainable params: {trainable_params} || all params: {all_param} || trainable%: {100 * trainable_params / all_param}"
    )
